Bug 174816 - mkinitrd 5.0.12-1 doesn't compile, simple solution attached
mkinitrd 5.0.12-1 doesn't compile, simple solution attached
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-02 09:52 EST by Krzysio (Chris) Leszczynski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 5.0.13-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 18:05:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysio (Chris) Leszczynski 2005-12-02 09:52:02 EST
Here's a patch:

diff -r --context=2 o/mkinitrd-5.0.12/nash/dm.c mkinitrd-5.0.12/nash/dm.c
*** o/mkinitrd-5.0.12/nash/dm.c 2005-11-16 22:54:56.000000000 +0100
--- mkinitrd-5.0.12/nash/dm.c   2005-12-02 15:45:10.000000000 +0100
***************
*** 15,18 ****
--- 15,19 ----
  #include <stdio.h>
  #include <string.h>
+ #include <stdarg.h>

  #include <libdevmapper.h>

Note You need to log in before you can comment on or make changes to this bug.